CVE-2001-0641
CVSS4.6
发布时间 :2001-09-20 00:00:00
修订时间 :2008-09-10 15:08:33
NMCOE    

[原文]Buffer overflow in man program in various distributions of Linux allows local user to execute arbitrary code as group man via a long -S option.


[CNNVD]Linux各种分派缓冲区溢出漏洞(CNNVD-200109-068)

        Linux的各种分派的man程序存在缓冲区溢出漏洞。本地用户可以和组员一样借助超长-S选项执行任意代码。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:suse:suse_linux:6.2SuSE SuSE Linux 6.2
cpe:/o:redhat:linux:6.2Red Hat Linux 6.2
cpe:/o:suse:suse_linux:7.0SuSE SuSE Linux 7.0
cpe:/o:suse:suse_linux:6.3SuSE SuSE Linux 6.3
cpe:/a:immunix:immunix:6.2
cpe:/o:suse:suse_linux:7.1SuSE SuSE Linux 7.1
cpe:/o:suse:suse_linux:6.0SuSE SuSE Linux 6.0
cpe:/a:immunix:immunix:7.0_beta
cpe:/o:redhat:linux:5.2Red Hat Linux 5.2
cpe:/o:suse:suse_linux:6.4SuSE SuSE Linux 6.4
cpe:/o:suse:suse_linux:6.1SuSE SuSE Linux 6.1
cpe:/o:redhat:linux:7.0Red Hat Linux 7.0
cpe:/a:immunix:immunix:7.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0641
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0641
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200109-068
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/6530.php
(VENDOR_ADVISORY)  XF  man-s-bo(6530)
http://www.securityfocus.com/bid/2711
(VENDOR_ADVISORY)  BID  2711
http://www.redhat.com/support/errata/RHSA-2001-069.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2001:069
http://archives.neohapsis.com/archives/bugtraq/2001-05/0087.html
(VENDOR_ADVISORY)  BUGTRAQ  20010513 RH 7.0:/usr/bin/man exploit: gid man + more
http://www.securityfocus.com/archive/1/190136
(UNKNOWN)  BUGTRAQ  20010612 man 1.5h10 + man 1.5i-4 exploits
http://www.novell.com/linux/security/advisories/2001_019_man_txt.html
(UNKNOWN)  SUSE  SuSE-SA:2001:019

- 漏洞信息

Linux各种分派缓冲区溢出漏洞
中危 缓冲区溢出
2001-09-20 00:00:00 2006-09-15 00:00:00
本地  
        Linux的各种分派的man程序存在缓冲区溢出漏洞。本地用户可以和组员一样借助超长-S选项执行任意代码。

- 公告与补丁

        

- 漏洞信息 (20843)

Immunix OS 6.2/7.0,Redhat 5.2/6.2/7.0,S.u.S.E 6.x/7.0/7.1 Man -S Heap Overflow (EDBID:20843)
linux local
2001-05-13 Verified
0 zenith parsec
N/A [点击下载]
source: http://www.securityfocus.com/bid/2711/info

A heap overflow vulnerability exists in the 'man' system manual pager program.

The vulnerability exists due to a length check error when the -S option is given. As a result, it may be possible for a local user to execute arbitrary code with group 'man' privileges. 

http://www.exploit-db.com/sploits/20843.tar.gz		

- 漏洞信息

1821
man -S Option Character String Parsing Local Overflow
Local Access Required Input Manipulation
Loss of Integrity Third-Party Solution
Exploit Public Third-party Verified

- 漏洞描述

- 时间线

2001-05-13 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站